Firefox slowdown when using X11 over network

RESOLVED DUPLICATE of bug 1280795

Status

()

Core
Graphics: Layers
--
critical
RESOLVED DUPLICATE of bug 1280795
6 months ago
3 months ago

People

(Reporter: weiss, Unassigned)

Tracking

(Blocks: 1 bug, {perf})

52 Branch
x86_64
Linux
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox54 affected)

Details

Attachments

(2 attachments)

(Reporter)

Description

6 months ago
Created attachment 8880758 [details]
Firefox 2017-06-23 11.12 profile.sps.json.gz

User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Build ID: 20170623101701

Steps to reproduce:

We have been using Firefox 45 successfully for a while.  Upgrading to 52/53/54 leads to an incredible slowdown that actually makes the browser completely unusable.  (Using a new profile did not help, neither did safe mode.)

There are several factors that might or might not play a role in this, our setup is rather non-standard:
High number of CPU cores (28 / 56 threads)
High amount of RAM (192GB)
Users connect using remote X, nobody works locally
We use Gentoo Linux.

I have attached the output of Gecko Profiler.  Please let me know how else I can help make this issue more reproducible.


Actual results:

Opening a simple web page that has a spinner icon in the middle will freeze Firefox for about 10 seconds.  Scrolling is visibly more laggy than it used to be.


Expected results:

No regression from 45

Updated

6 months ago
Keywords: perf
(Reporter)

Comment 1

6 months ago
Addendum: After upgrading Thunderbird from 45.8.0 to 52.2.0, it also behaves extremely sluggishly.

Updated

6 months ago
Blocks: 1131167
Severity: normal → critical
OS: Unspecified → Linux
Hardware: Unspecified → x86_64
Summary: Firefox slowdown with new UI → Firefox slowdown
Version: 54 Branch → 52 Branch
User Agent  Mozilla/5.0 (X11; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Firefox: 54.0, Build ID: 20170608175746

I have tested this issue on Ubuntu 14.04 x64 on latest Firefox (54.0) release and I haven't managed to reproduce it. I have opened more then 10 tabs and when I have navigated through them, all the pages were successfully loaded without encountering the "spinner icon". 

@Weiss, what version on Linux are you using? Also, you encounter the issue on any kind of pages or only on some specific pages?

I have loaded the attached output of Gecko Profiler and here is the link: http://bit.ly/2tX80pU. 
I am not an expert but maybe is similar with the one provided in bug 1374995 comment 5? Mike, sorry to bother you again, but can you please take a look at them?
Flags: needinfo?(weiss)
Flags: needinfo?(mconley)
(Reporter)

Comment 3

6 months ago
@Cosmin Thank you for looking into this.

It does not appear to be related to the number of open tabs.  Also, it is not directly related to the spinner icon -- the spinner icon just makes it very obvious.  Even typing this right now feels sluggish, everything behaves slowly.

Also, I cannot reproduce the issue on my laptop, for example, so it must somehow be related to our setup here, maybe because of X forwarding?

We are running 4.9.16-gentoo on an up-to-date Gentoo Linux system.

Since bug 1374995 mentions it being better in 56.0a1, I'll try compiling it and see if that changes anything.

One theory that I have, which might be wrong obviously: Did the redraw behavior of Firefox change somehow?  We have a high resolution monitors (4K) and run full screen Firefox on them.  This did not use to be a problem, but maybe Firefox now redraws the whole screen with its new UI, leading to X11 forwarding issues even over gbit lan?
Flags: needinfo?(weiss)
(Reporter)

Comment 4

6 months ago
OK, there were actually two simple facts to figure out what the issue is:

* Making the window smaller improves everything substantially
* The network traffic is at full capacity when doing something.

So it appears this is a general regression that makes X11 forwarding work much worse, from what I can guess Firefox redraws everything now, not just what needs to be drawn what it apparently used to do because it worked much better.

So if anyone wants to test it using X11 forwarding, I'm sure they'll experience the same issues.
(Reporter)

Updated

6 months ago
Summary: Firefox slowdown → Firefox slowdown when using X11 over network
(Reporter)

Comment 5

6 months ago
And the reason that the spinner makes it so obvious is that it triggers so many redraws which are then queued and lead to tons of network traffic that needs to be transmitted first.
(Reporter)

Comment 6

6 months ago
Also, since Thunderbird is affected just the same, what component does this belong to?
Thanks for providing more information!
I am not sure what is the right component for this, but I am still investigating.

Weiss, since you said that on older Firefox versions you haven't encountered this issue and given the fact that the issue seems to be related to something that is specific to your setup, could you please try to find a regression range using Mozregression tool?
Information on the tool is available at http://mozilla.github.io/mozregression/. 
In the provided link you have the details in order to install the mozregression tool on Linux at "Install" section and also how to use it at "Quick start" section. Please don't hesitate to contact us if you encounter any problems.

This will help us to find which bug regressed this.
Flags: needinfo?(weiss)
(Reporter)

Comment 8

6 months ago
Wow, the Mozregression tool is amazing.

Unfortunately, it didn't work all the way for me, this is the log.  I could go quite far (~0 steps left), and then it stopped working:

2017-06-29T10:07:09: INFO : Running mozilla-central build for 2016-05-30
2017-06-29T10:07:25: INFO : Launching /tmp/tmpzsLqUj/firefox/firefox
2017-06-29T10:07:25: INFO : Application command: /tmp/tmpzsLqUj/firefox/firefox -profile /tmp/tmpP6QMpn.mozrunner
2017-06-29T10:07:25: INFO : application_buildid: 20160530071207
2017-06-29T10:07:25: INFO : application_changeset: 3435dd7ad71fe9003bdeee18fd38d815e033beef
2017-06-29T10:07:25: INFO : application_display_name: Nightly
2017-06-29T10:07:25: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:07:25: INFO : application_name: Firefox
2017-06-29T10:07:25: INFO : application_remotingname: firefox
2017-06-29T10:07:25: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:07:25: INFO : application_vendor: Mozilla
2017-06-29T10:07:25: INFO : application_version: 49.0a1
2017-06-29T10:07:25: INFO : platform_buildid: 20160530071207
2017-06-29T10:07:25: INFO : platform_changeset: 3435dd7ad71fe9003bdeee18fd38d815e033beef
2017-06-29T10:07:25: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:07:25: INFO : platform_version: 49.0a1
2017-06-29T10:10:54: INFO : Narrowed nightly regression window from [2015-12-14, 2016-11-14] (336 days) to [2015-12-14, 2016-05-30] (168 days) (~7 steps left)
2017-06-29T10:10:54: INFO : Running mozilla-central build for 2016-03-07
2017-06-29T10:11:10: INFO : Launching /tmp/tmpcCd7lE/firefox/firefox
2017-06-29T10:11:10: INFO : Application command: /tmp/tmpcCd7lE/firefox/firefox -profile /tmp/tmpRxgAZd.mozrunner
2017-06-29T10:11:10: INFO : application_buildid: 20160307063917
2017-06-29T10:11:10: INFO : application_changeset: be593a64d7c6a826260514fe758ef32a6ee580f7
2017-06-29T10:11:10: INFO : application_display_name: Nightly
2017-06-29T10:11:10: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:11:10: INFO : application_name: Firefox
2017-06-29T10:11:10: INFO : application_remotingname: firefox
2017-06-29T10:11:10: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:11:10: INFO : application_vendor: Mozilla
2017-06-29T10:11:10: INFO : application_version: 48.0a1
2017-06-29T10:11:10: INFO : platform_buildid: 20160307063917
2017-06-29T10:11:10: INFO : platform_changeset: be593a64d7c6a826260514fe758ef32a6ee580f7
2017-06-29T10:11:10: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:11:10: INFO : platform_version: 48.0a1
2017-06-29T10:11:11: INFO : 
2017-06-29T10:11:11: INFO : (process:15595): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:12:12: INFO : Narrowed nightly regression window from [2015-12-14, 2016-05-30] (168 days) to [2015-12-14, 2016-03-07] (84 days) (~6 steps left)
2017-06-29T10:12:19: INFO : Running mozilla-central build for 2016-01-25
2017-06-29T10:12:34: INFO : Launching /tmp/tmptzt0Zw/firefox/firefox
2017-06-29T10:12:34: INFO : Application command: /tmp/tmptzt0Zw/firefox/firefox -profile /tmp/tmpNKZydE.mozrunner
2017-06-29T10:12:34: INFO : application_buildid: 20160125060632
2017-06-29T10:12:34: INFO : application_changeset: 3f41d7d0f544ebd98273e39bd945c28878a47427
2017-06-29T10:12:34: INFO : application_display_name: Nightly
2017-06-29T10:12:34: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:12:34: INFO : application_name: Firefox
2017-06-29T10:12:34: INFO : application_remotingname: firefox
2017-06-29T10:12:34: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:12:34: INFO : application_vendor: Mozilla
2017-06-29T10:12:34: INFO : application_version: 47.0a1
2017-06-29T10:12:34: INFO : platform_buildid: 20160125060632
2017-06-29T10:12:34: INFO : platform_changeset: 3f41d7d0f544ebd98273e39bd945c28878a47427
2017-06-29T10:12:34: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:12:34: INFO : platform_version: 47.0a1
2017-06-29T10:12:36: INFO : 
2017-06-29T10:12:36: INFO : (process:16199): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:13:44: INFO : Narrowed nightly regression window from [2015-12-14, 2016-03-07] (84 days) to [2016-01-25, 2016-03-07] (42 days) (~5 steps left)
2017-06-29T10:13:47: INFO : Running mozilla-central build for 2016-02-15
2017-06-29T10:14:04: INFO : Launching /tmp/tmprf7xEV/firefox/firefox
2017-06-29T10:14:04: INFO : Application command: /tmp/tmprf7xEV/firefox/firefox -profile /tmp/tmpcEa9ZR.mozrunner
2017-06-29T10:14:04: INFO : application_buildid: 20160215030213
2017-06-29T10:14:04: INFO : application_changeset: e355cacefc881ba360d412853b57e8e060e966f4
2017-06-29T10:14:04: INFO : application_display_name: Nightly
2017-06-29T10:14:04: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:14:04: INFO : application_name: Firefox
2017-06-29T10:14:04: INFO : application_remotingname: firefox
2017-06-29T10:14:04: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:14:04: INFO : application_vendor: Mozilla
2017-06-29T10:14:04: INFO : application_version: 47.0a1
2017-06-29T10:14:04: INFO : platform_buildid: 20160215030213
2017-06-29T10:14:04: INFO : platform_changeset: e355cacefc881ba360d412853b57e8e060e966f4
2017-06-29T10:14:04: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:14:04: INFO : platform_version: 47.0a1
2017-06-29T10:14:06: INFO : 
2017-06-29T10:14:06: INFO : (process:16813): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:15:01: INFO : Narrowed nightly regression window from [2016-01-25, 2016-03-07] (42 days) to [2016-01-25, 2016-02-15] (21 days) (~4 steps left)
2017-06-29T10:15:15: INFO : Running mozilla-central build for 2016-02-05
2017-06-29T10:15:29: INFO : Launching /tmp/tmpjM4BuB/firefox/firefox
2017-06-29T10:15:29: INFO : Application command: /tmp/tmpjM4BuB/firefox/firefox -profile /tmp/tmpCJJbjD.mozrunner
2017-06-29T10:15:29: INFO : application_buildid: 20160205030204
2017-06-29T10:15:29: INFO : application_changeset: 1dbe350b57b17ec1ce2887441b79c6f51b429378
2017-06-29T10:15:29: INFO : application_display_name: Nightly
2017-06-29T10:15:29: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:15:29: INFO : application_name: Firefox
2017-06-29T10:15:29: INFO : application_remotingname: firefox
2017-06-29T10:15:29: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:15:29: INFO : application_vendor: Mozilla
2017-06-29T10:15:29: INFO : application_version: 47.0a1
2017-06-29T10:15:29: INFO : platform_buildid: 20160205030204
2017-06-29T10:15:29: INFO : platform_changeset: 1dbe350b57b17ec1ce2887441b79c6f51b429378
2017-06-29T10:15:29: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:15:29: INFO : platform_version: 47.0a1
2017-06-29T10:15:31: INFO : 
2017-06-29T10:15:31: INFO : (process:17223): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:16:02: INFO : Narrowed nightly regression window from [2016-01-25, 2016-02-15] (21 days) to [2016-02-05, 2016-02-15] (10 days) (~3 steps left)
2017-06-29T10:16:21: INFO : Running mozilla-central build for 2016-02-10
2017-06-29T10:16:36: INFO : Launching /tmp/tmpfO8Nlt/firefox/firefox
2017-06-29T10:16:36: INFO : Application command: /tmp/tmpfO8Nlt/firefox/firefox -profile /tmp/tmpPydfTi.mozrunner
2017-06-29T10:16:36: INFO : application_buildid: 20160210071115
2017-06-29T10:16:36: INFO : application_changeset: ac39fba33c6daf95b2cda71e588ca18e2eb752ab
2017-06-29T10:16:36: INFO : application_display_name: Nightly
2017-06-29T10:16:36: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:16:36: INFO : application_name: Firefox
2017-06-29T10:16:36: INFO : application_remotingname: firefox
2017-06-29T10:16:36: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:16:36: INFO : application_vendor: Mozilla
2017-06-29T10:16:36: INFO : application_version: 47.0a1
2017-06-29T10:16:36: INFO : platform_buildid: 20160210071115
2017-06-29T10:16:36: INFO : platform_changeset: ac39fba33c6daf95b2cda71e588ca18e2eb752ab
2017-06-29T10:16:36: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:16:36: INFO : platform_version: 47.0a1
2017-06-29T10:16:37: INFO : 
2017-06-29T10:16:37: INFO : (process:18139): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:17:16: INFO : Narrowed nightly regression window from [2016-02-05, 2016-02-15] (10 days) to [2016-02-10, 2016-02-15] (5 days) (~2 steps left)
2017-06-29T10:17:26: INFO : Running mozilla-central build for 2016-02-13
2017-06-29T10:17:41: INFO : Launching /tmp/tmpp1YdW7/firefox/firefox
2017-06-29T10:17:41: INFO : Application command: /tmp/tmpp1YdW7/firefox/firefox -profile /tmp/tmpqUSLc1.mozrunner
2017-06-29T10:17:41: INFO : application_buildid: 20160213030210
2017-06-29T10:17:41: INFO : application_changeset: d719ac4bcbec13e0ba13a41547788e3bf365c679
2017-06-29T10:17:41: INFO : application_display_name: Nightly
2017-06-29T10:17:41: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:17:41: INFO : application_name: Firefox
2017-06-29T10:17:41: INFO : application_remotingname: firefox
2017-06-29T10:17:41: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:17:41: INFO : application_vendor: Mozilla
2017-06-29T10:17:41: INFO : application_version: 47.0a1
2017-06-29T10:17:41: INFO : platform_buildid: 20160213030210
2017-06-29T10:17:41: INFO : platform_changeset: d719ac4bcbec13e0ba13a41547788e3bf365c679
2017-06-29T10:17:41: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:17:41: INFO : platform_version: 47.0a1
2017-06-29T10:17:43: INFO : 
2017-06-29T10:17:43: INFO : (process:18485): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:18:36: INFO : Narrowed nightly regression window from [2016-02-10, 2016-02-15] (5 days) to [2016-02-10, 2016-02-13] (3 days) (~1 steps left)
2017-06-29T10:18:49: INFO : Running mozilla-central build for 2016-02-12
2017-06-29T10:19:04: INFO : Launching /tmp/tmpgpTa86/firefox/firefox
2017-06-29T10:19:04: INFO : Application command: /tmp/tmpgpTa86/firefox/firefox -profile /tmp/tmp0fLg4K.mozrunner
2017-06-29T10:19:04: INFO : application_buildid: 20160212030242
2017-06-29T10:19:04: INFO : application_changeset: 576a6dcde5b68c2ea45324ed5ce1dabb7d833d09
2017-06-29T10:19:04: INFO : application_display_name: Nightly
2017-06-29T10:19:04: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:19:04: INFO : application_name: Firefox
2017-06-29T10:19:04: INFO : application_remotingname: firefox
2017-06-29T10:19:04: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:19:04: INFO : application_vendor: Mozilla
2017-06-29T10:19:04: INFO : application_version: 47.0a1
2017-06-29T10:19:04: INFO : platform_buildid: 20160212030242
2017-06-29T10:19:04: INFO : platform_changeset: 576a6dcde5b68c2ea45324ed5ce1dabb7d833d09
2017-06-29T10:19:04: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:19:04: INFO : platform_version: 47.0a1
2017-06-29T10:19:05: INFO : 
2017-06-29T10:19:05: INFO : (process:19012): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:20:07: INFO : Narrowed nightly regression window from [2016-02-10, 2016-02-13] (3 days) to [2016-02-10, 2016-02-12] (2 days) (~1 steps left)
2017-06-29T10:20:07: INFO : Running mozilla-central build for 2016-02-11
2017-06-29T10:20:21: INFO : Launching /tmp/tmpxu67pi/firefox/firefox
2017-06-29T10:20:21: INFO : Application command: /tmp/tmpxu67pi/firefox/firefox -profile /tmp/tmpUxI4oP.mozrunner
2017-06-29T10:20:21: INFO : application_buildid: 20160211030242
2017-06-29T10:20:21: INFO : application_changeset: d4d72e7b30da251ad3027e234444251adad5e335
2017-06-29T10:20:21: INFO : application_display_name: Nightly
2017-06-29T10:20:21: INFO : application_id: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
2017-06-29T10:20:21: INFO : application_name: Firefox
2017-06-29T10:20:21: INFO : application_remotingname: firefox
2017-06-29T10:20:21: INFO : application_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:20:21: INFO : application_vendor: Mozilla
2017-06-29T10:20:21: INFO : application_version: 47.0a1
2017-06-29T10:20:21: INFO : platform_buildid: 20160211030242
2017-06-29T10:20:21: INFO : platform_changeset: d4d72e7b30da251ad3027e234444251adad5e335
2017-06-29T10:20:21: INFO : platform_repository: https://hg.mozilla.org/mozilla-central
2017-06-29T10:20:21: INFO : platform_version: 47.0a1
2017-06-29T10:20:23: INFO : 
2017-06-29T10:20:23: INFO : (process:19846): GLib-CRITICAL **: g_path_get_basename: assertion 'file_name != NULL' failed
2017-06-29T10:21:15: INFO : Narrowed nightly regression window from [2016-02-10, 2016-02-12] (2 days) to [2016-02-10, 2016-02-11] (1 days) (~0 steps left)
2017-06-29T10:21:15: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?changeset=ac39fba33c6daf95b2cda71e588ca18e2eb752ab
2017-06-29T10:21:16: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?fromchange=ac39fba33c6daf95b2cda71e588ca18e2eb752ab&tochange=d4d72e7b30da251ad3027e234444251adad5e335
2017-06-29T10:21:17: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.ac39fba33c6daf95b2cda71e588ca18e2eb752ab.firefox.linux64-opt'
2017-06-29T10:21:17: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.d4d72e7b30da251ad3027e234444251adad5e335.firefox.linux64-opt'
2017-06-29T10:21:25: WARNING : Skipping build d4d72e7b30da: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.d4d72e7b30da251ad3027e234444251adad5e335.firefox.linux64-opt'
2017-06-29T10:21:25: WARNING : Skipping build ac39fba33c6d: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.ac39fba33c6daf95b2cda71e588ca18e2eb752ab.firefox.linux64-opt'
2017-06-29T10:21:25: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?startID=29968&endID=29988
2017-06-29T10:21:25: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.2dfb45d74f42d2a0010696f5fd47c7a7da94cedb.firefox.linux64-opt'
2017-06-29T10:21:25: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.337331f990883ff125b1e764cb919d5029e9883b.firefox.linux64-opt'
2017-06-29T10:21:25: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.7042e8a19f94d6e075ec149567aea74dfd06c392.firefox.linux64-opt'
2017-06-29T10:21:33: WARNING : Skipping build 7042e8a19f94: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.7042e8a19f94d6e075ec149567aea74dfd06c392.firefox.linux64-opt'
2017-06-29T10:21:33: WARNING : Skipping build 337331f99088: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.337331f990883ff125b1e764cb919d5029e9883b.firefox.linux64-opt'
2017-06-29T10:21:34: WARNING : Skipping build 2dfb45d74f42: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.2dfb45d74f42d2a0010696f5fd47c7a7da94cedb.firefox.linux64-opt'
2017-06-29T10:21:34: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.d1a54ae63da7ebc4bc1eeb5b613e8ec29bfcb80a.firefox.linux64-opt'
2017-06-29T10:21:34: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.815d689a6e1e7187b10238f2f840d49201d67c2b.firefox.linux64-opt'
2017-06-29T10:21:34: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.a6b8d2c921e3f80500c32976ecedf88631433e0a.firefox.linux64-opt'
2017-06-29T10:21:40: WARNING : Skipping build 815d689a6e1e: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.815d689a6e1e7187b10238f2f840d49201d67c2b.firefox.linux64-opt'
2017-06-29T10:21:41: WARNING : Skipping build a6b8d2c921e3: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.a6b8d2c921e3f80500c32976ecedf88631433e0a.firefox.linux64-opt'
2017-06-29T10:21:41: WARNING : Skipping build d1a54ae63da7: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.d1a54ae63da7ebc4bc1eeb5b613e8ec29bfcb80a.firefox.linux64-opt'
2017-06-29T10:21:41: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.1cfe34ea394c66d7fa2c6dc366b05ab00e919113.firefox.linux64-opt'
2017-06-29T10:21:41: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.a0d0344ed47a65f5c36802b61b25c0520cec421f.firefox.linux64-opt'
2017-06-29T10:21:41: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.ac338559876df7b2e81388f2aac28d2e95ceb5ff.firefox.linux64-opt'
2017-06-29T10:21:48: WARNING : Skipping build 1cfe34ea394c: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.1cfe34ea394c66d7fa2c6dc366b05ab00e919113.firefox.linux64-opt'
2017-06-29T10:21:49: WARNING : Skipping build a0d0344ed47a: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.a0d0344ed47a65f5c36802b61b25c0520cec421f.firefox.linux64-opt'
2017-06-29T10:21:49: WARNING : Skipping build ac338559876d: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.ac338559876df7b2e81388f2aac28d2e95ceb5ff.firefox.linux64-opt'
2017-06-29T10:21:49: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.4295f9951e9331a2f2bd0a8ea8c4ad73af141a7b.firefox.linux64-opt'
2017-06-29T10:21:49: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.281de9bf9ff6f22882f614d8ea443dfed007e9c4.firefox.linux64-opt'
2017-06-29T10:21:49: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.76733110704b975154ac0fa779445e6eae5da559.firefox.linux64-opt'
2017-06-29T10:21:57: WARNING : Skipping build 76733110704b: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.76733110704b975154ac0fa779445e6eae5da559.firefox.linux64-opt'
2017-06-29T10:21:57: WARNING : Skipping build 281de9bf9ff6: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.281de9bf9ff6f22882f614d8ea443dfed007e9c4.firefox.linux64-opt'
2017-06-29T10:21:57: WARNING : Skipping build 4295f9951e93: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.4295f9951e9331a2f2bd0a8ea8c4ad73af141a7b.firefox.linux64-opt'
2017-06-29T10:21:57: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.1dbe350b57b17ec1ce2887441b79c6f51b429378.firefox.linux64-opt'
2017-06-29T10:21:57: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.6148b5848349edf97e3cb4b1a604d8a7e5b50544.firefox.linux64-opt'
2017-06-29T10:21:57: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.0885625045f0d07ab8ce6d46d8b354939aa3b617.firefox.linux64-opt'
2017-06-29T10:22:04: WARNING : Skipping build 1dbe350b57b1: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.1dbe350b57b17ec1ce2887441b79c6f51b429378.firefox.linux64-opt'
2017-06-29T10:22:05: WARNING : Skipping build 0885625045f0: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.0885625045f0d07ab8ce6d46d8b354939aa3b617.firefox.linux64-opt'
2017-06-29T10:22:05: WARNING : Skipping build 6148b5848349: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.6148b5848349edf97e3cb4b1a604d8a7e5b50544.firefox.linux64-opt'
2017-06-29T10:22:05: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.03297f8c28a08d2b39a252c7b368524d9e69da69.firefox.linux64-opt'
2017-06-29T10:22:05: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.f53533d9eb771f3251921949ab2c888def70f41f.firefox.linux64-opt'
2017-06-29T10:22:05: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.5e024441510f6d2b460e570d0e6d2dee0dc89723.firefox.linux64-opt'
2017-06-29T10:22:12: WARNING : Skipping build f53533d9eb77: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.f53533d9eb771f3251921949ab2c888def70f41f.firefox.linux64-opt'
2017-06-29T10:22:12: WARNING : Skipping build 5e024441510f: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.5e024441510f6d2b460e570d0e6d2dee0dc89723.firefox.linux64-opt'
2017-06-29T10:22:12: WARNING : Skipping build 03297f8c28a0: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.03297f8c28a08d2b39a252c7b368524d9e69da69.firefox.linux64-opt'
2017-06-29T10:22:12: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.ce6b2fdabc3ecd709abf5de6dbe963edd44d18fb.firefox.linux64-opt'
2017-06-29T10:22:12: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.f2f8fc172f4c62334e9a92bcf10e00fe877387d5.firefox.linux64-opt'
2017-06-29T10:22:20: WARNING : Skipping build f2f8fc172f4c: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.f2f8fc172f4c62334e9a92bcf10e00fe877387d5.firefox.linux64-opt'
2017-06-29T10:22:20: WARNING : Skipping build ce6b2fdabc3e: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.ce6b2fdabc3ecd709abf5de6dbe963edd44d18fb.firefox.linux64-opt'
2017-06-29T10:22:20: CRITICAL : First build ac39fba33c6d is missing, but mozregression can't find a build before - so it is excluded, but it could contain the regression!
2017-06-29T10:22:20: DEBUG : Using url: https://hg.mozilla.org/mozilla-central/json-pushes?startID=29991&endID=30011
2017-06-29T10:22:21: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.904f3554c08488c53d24deb20a486600ddddd56b.firefox.linux64-opt'
2017-06-29T10:22:21: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.576a6dcde5b68c2ea45324ed5ce1dabb7d833d09.firefox.linux64-opt'
2017-06-29T10:22:21: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.3eca89d56c0252b12f8c5dadade8e8e76d852258.firefox.linux64-opt'
2017-06-29T10:22:28: WARNING : Skipping build 576a6dcde5b6: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.576a6dcde5b68c2ea45324ed5ce1dabb7d833d09.firefox.linux64-opt'
2017-06-29T10:22:29: WARNING : Skipping build 3eca89d56c02: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.3eca89d56c0252b12f8c5dadade8e8e76d852258.firefox.linux64-opt'
2017-06-29T10:22:29: WARNING : Skipping build 904f3554c084: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.904f3554c08488c53d24deb20a486600ddddd56b.firefox.linux64-opt'
2017-06-29T10:22:29: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.218d16a9ddcc3699be2a19bcab7d5f6b7f8e7515.firefox.linux64-opt'
2017-06-29T10:22:29: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.d719ac4bcbec13e0ba13a41547788e3bf365c679.firefox.linux64-opt'
2017-06-29T10:22:29: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.a669f998ccc3ac2db708a0d9258245fcc65efb65.firefox.linux64-opt'
2017-06-29T10:22:36: WARNING : Skipping build a669f998ccc3: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.a669f998ccc3ac2db708a0d9258245fcc65efb65.firefox.linux64-opt'
2017-06-29T10:22:36: WARNING : Skipping build d719ac4bcbec: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.d719ac4bcbec13e0ba13a41547788e3bf365c679.firefox.linux64-opt'
2017-06-29T10:22:37: WARNING : Skipping build 218d16a9ddcc: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.218d16a9ddcc3699be2a19bcab7d5f6b7f8e7515.firefox.linux64-opt'
2017-06-29T10:22:37: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.e355cacefc881ba360d412853b57e8e060e966f4.firefox.linux64-opt'
2017-06-29T10:22:37: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.9e38b1048c070562f072b8679f4e4f33a639ab3e.firefox.linux64-opt'
2017-06-29T10:22:37: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.ea39d4a6232c278dd8d805608a07cf9f4cc4c76b.firefox.linux64-opt'
2017-06-29T10:22:44: WARNING : Skipping build 9e38b1048c07: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.9e38b1048c070562f072b8679f4e4f33a639ab3e.firefox.linux64-opt'
2017-06-29T10:22:44: WARNING : Skipping build e355cacefc88: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.e355cacefc881ba360d412853b57e8e060e966f4.firefox.linux64-opt'
2017-06-29T10:22:44: WARNING : Skipping build ea39d4a6232c: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.ea39d4a6232c278dd8d805608a07cf9f4cc4c76b.firefox.linux64-opt'
2017-06-29T10:22:44: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.fb7ceaf4b009243423cdaf1077adbb6c609b22e5.firefox.linux64-opt'
2017-06-29T10:22:44: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.6ea654cad929c9bedd8a4161a182b6189fbeae6a.firefox.linux64-opt'
2017-06-29T10:22:44: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.15621f98b53b1994c7ae2e2703a6e50203c5304c.firefox.linux64-opt'
2017-06-29T10:22:52: WARNING : Skipping build 15621f98b53b: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.15621f98b53b1994c7ae2e2703a6e50203c5304c.firefox.linux64-opt'
2017-06-29T10:22:52: WARNING : Skipping build fb7ceaf4b009: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.fb7ceaf4b009243423cdaf1077adbb6c609b22e5.firefox.linux64-opt'
2017-06-29T10:22:52: WARNING : Skipping build 6ea654cad929: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.6ea654cad929c9bedd8a4161a182b6189fbeae6a.firefox.linux64-opt'
2017-06-29T10:22:52: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.c007ec81b75ae1c51da2c2d2bab21180290fab6b.firefox.linux64-opt'
2017-06-29T10:22:52: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.709f559b5406e8555cf84dd09bdc747b076f142c.firefox.linux64-opt'
2017-06-29T10:22:52: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.0629918a09ae87808efdda432d7852371ba37db6.firefox.linux64-opt'
2017-06-29T10:22:59: WARNING : Skipping build 709f559b5406: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.709f559b5406e8555cf84dd09bdc747b076f142c.firefox.linux64-opt'
2017-06-29T10:22:59: WARNING : Skipping build c007ec81b75a: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.c007ec81b75ae1c51da2c2d2bab21180290fab6b.firefox.linux64-opt'
2017-06-29T10:22:59: WARNING : Skipping build 0629918a09ae: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.0629918a09ae87808efdda432d7852371ba37db6.firefox.linux64-opt'
2017-06-29T10:22:59: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.3b35f0a98eba9f1c9be7d793650b3d5bec6c8fdb.firefox.linux64-opt'
2017-06-29T10:22:59: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.1150ac4755c7bb35df4fc7504f6f1b6c257f400e.firefox.linux64-opt'
2017-06-29T10:22:59: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.fcd35e10fa17d9fd11d92be48ae9698c2a900f1c.firefox.linux64-opt'
2017-06-29T10:23:06: WARNING : Skipping build 1150ac4755c7: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.1150ac4755c7bb35df4fc7504f6f1b6c257f400e.firefox.linux64-opt'
2017-06-29T10:23:06: WARNING : Skipping build 3b35f0a98eba: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.3b35f0a98eba9f1c9be7d793650b3d5bec6c8fdb.firefox.linux64-opt'
2017-06-29T10:23:07: WARNING : Skipping build fcd35e10fa17: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.fcd35e10fa17d9fd11d92be48ae9698c2a900f1c.firefox.linux64-opt'
2017-06-29T10:23:07: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.cdc8bb2a48aec0970da93ba8d78cf11e851ed2bd.firefox.linux64-opt'
2017-06-29T10:23:07: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.d5daf10d3b74b04e8fa63c4e5429de8a0adf79f8.firefox.linux64-opt'
2017-06-29T10:23:14: WARNING : Skipping build cdc8bb2a48ae: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.cdc8bb2a48aec0970da93ba8d78cf11e851ed2bd.firefox.linux64-opt'
2017-06-29T10:23:14: WARNING : Skipping build d5daf10d3b74: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.d5daf10d3b74b04e8fa63c4e5429de8a0adf79f8.firefox.linux64-opt'
2017-06-29T10:23:14: CRITICAL : Last build d4d72e7b30da is missing, but mozregression can't find a build after - so it is excluded, but it could contain the regression!
2017-06-29T10:23:14: DEBUG : using taskcluster route 'gecko.v2.mozilla-central.revision.b21946a2e9933fa9167456ce6b3866381f6f52c5.firefox.linux64-opt'
2017-06-29T10:23:22: WARNING : Skipping build b21946a2e993: Unable to find build info using the taskcluster route 'gecko.v2.mozilla-central.revision.b21946a2e9933fa9167456ce6b3866381f6f52c5.firefox.linux64-opt'
2017-06-29T10:23:25: INFO : Stopped
Flags: needinfo?(weiss)
You couldn't go forward, because the changesets are too old. So here is the puslog: https://goo.gl/jViUwG but I can't tell what issue caused this.

Can you please attach the "about:support" page? In order to do that, navigate to "about:support" page, click the "Copy text to clipboard", paste it in a document (ex Gdoc) and attach it here. 

Also, you can go to "about:config" page and set the "browser.tabs.remote.autostart.2" to "false" and retest the issue in order to see if is still reproducible?
Flags: needinfo?(weiss)
(Reporter)

Comment 10

6 months ago
Created attachment 8882121 [details]
about:support output from 54.0
Flags: needinfo?(weiss)
(Reporter)

Comment 11

6 months ago
Setting "browser.tabs.remote.autostart.2" to "false" has no observable effect.

I can go ahead and try bisecting between ac39fba33c6d and 1e6bb5a9d9e2 to identify the very commit that caused the issue.  I'll just have to figure out how to do that with hg, only used to git.
(Reporter)

Comment 12

6 months ago
OK, so I bisected:

The first bad revision is:
changeset:   283845:432ef38dab95
user:        Lee Salzman <lsalzman@mozilla.com>
date:        Wed Feb 10 10:59:35 2016 -0500
summary:     Bug 1241832 - change gfx.xrender.enabled pref so that xrender compositing is no longer used by default. r=jrmuizel

And indeed, setting gfx.xrender.enabled to "true" fixes the issue in current Firefox versions.

So I suppose this is a dup of Bug 1280795.

Since setting gfx.xrender.enabled to "false" by default makes Firefox completely unusable over network, maybe "true" should remain the default value?
Awesome! thanks for investigated this.
Weiss, can you please verify if the issue is also reproducible on latest Nightly (56.0a1) build? You can download it from here: https://goo.gl/apsXxJ

Lee, can you please take a look at this issue?
Blocks: 1241832
Status: UNCONFIRMED → NEW
status-firefox54: --- → affected
Component: Untriaged → Graphics: Layers
Ever confirmed: true
Flags: needinfo?(weiss)
Flags: needinfo?(lsalzman)
Product: Firefox → Core
(Reporter)

Comment 14

6 months ago
Nightly behaves exactly the same.
Flags: needinfo?(weiss)
Clearing needinfo - lsalzman seems like the person with the right information here.
Flags: needinfo?(mconley)
This is a known issue, for which toggling the gfx.xrender.enabled pref is the only workaround we offer for right now. We deprecated use of Xrender internally due to various X driver bugs and inconsistent performance for almost all users, outside of this rare remote usecase.
Flags: needinfo?(lsalzman)
Status: NEW → RESOLVED
Last Resolved: 3 months ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1280795
You need to log in before you can comment on or make changes to this bug.